/*       Title: usbserial_linux.c
/       Author: David Corcoran
/      Purpose: Abstracts usb API to serial like calls
*/

#ifndef USBSERIAL_H
#define USBSERIAL_H

// Get reader ID
DWORD GetReaderId(DWORD readerIndex);

// Open USB
RESPONSECODE OpenUSB(DWORD readerIndex, DWORD channel);

// Write USB
RESPONSECODE WriteUSB(DWORD readerIndex, DWORD length, unsigned char *buffer);

// Read USB
RESPONSECODE ReadUSB(DWORD readerIndex, DWORD *pLength, unsigned char *buffer);

// Close USB
RESPONSECODE CloseUSB(DWORD readerIndex);

#endif
